Loading...
Searching...
No Matches
BrooksCorey.hpp File Reference

Implementation of the Brooks-Corey capillary pressure <-> saturation relation. More...

`#include "BrooksCoreyParams.hpp"`
`#include <opm/common/Exceptions.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <algorithm>`
`#include <cassert>`
`#include <cmath>`

Go to the source code of this file.

## Classes

class | Opm::BrooksCorey< TraitsT, ParamsT >
| Implementation of the Brooks-Corey capillary pressure <-> saturation relation. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implementation of the Brooks-Corey capillary pressure <-> saturation relation.

This class provides the "raw" curves as static members and doesn't concern itself converting absolute to effective saturations and vice versa.

See also
  BrooksCoreyParams